%undefine __cmake_in_source_build

Summary:        Video stabilize library for Ffmpeg and Transcode
Name:           vid.stab
Version:        1.1.1
Release:        3%{?dist}
License:        GPLv2+
URL:            http://public.hronopik.de/vid.stab
Source0:        https://github.com/georgmartius/%{name}/archive/refs/tags/v%{version}.tar.gz #/%{name}-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ cmake glibc
BuildRequires:  orc-devel
Provides:	%{name}-libs = %{version}-%{release}

%description
Vidstab is a video stabilization library which can be plugged-in with
Ffmpeg and Transcode.
A video acquired using a hand-held camera or a camera mounted on a vehicle,
typically suffers from undesirable shakes and jitters. Activities such as
surfing, skiing, riding and walking while shooting videos are especially
prone to erratic camera shakes. Vidstab targets these video contents
to help create smoother and stable videos.


%package devel
Summary:        Development files for vid.stab
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains library and header files for development.


%prep
%autosetup
sed -i 's|-DUSE_SSE2 -msse2||' tests/CMakeLists.txt
sed -i 's|-Wall -O0|-Wall -O|' tests/CMakeLists.txt
sed -i 's|return units_failed==0;|return units_failed>0;|' tests/testframework.c


%build
%cmake
%cmake_build

pushd tests
%cmake
%cmake_build
popd


%install
%cmake_install


%check
LD_LIBRARY_PATH=%{buildroot}%{_libdir} tests/%_vpath_builddir/tests


%files
%license LICENSE
%doc README.md
%{_libdir}/libvidstab.so.*


%files devel
%{_libdir}/libvidstab.so
%{_libdir}/pkgconfig/vidstab.pc
%{_includedir}/vid.stab/


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 rockerzhu <rockerzhu@tencent.com> - 1.1.1-2
- Enable tests.

* Mon Apr 24 2023 rockerzhu <rockerzhu@tencent.com> - 1.1.1-1
- Initial build.
